Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.benchmarks.client
Annotation Type IterationTimeLimit

    @Target(value=METHOD)
    @Documented
    public @interface IterationTimeLimit

Specifies a custom time limit for iterations on the decorated `Benchmark` method. Methods that aren't explicitly decorated with an IterationTimeLimit, receive the default value.

Optional Element Summary
`long` | `value` The maximum amount of time, in milliseconds, an iteration is pursued before skipping to the next set of values in the `Range`.

### value

    public abstract long value

  The maximum amount of time, in milliseconds, an iteration is pursued before skipping to the next set of values in the `Range`. A value of 0 means that all values in the `Range` will be exhaustively tested.

  Returns:
    a maximum duration in milliseconds >= 0
  Default:
    1000L

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT